edu.isi.pegasus.planner.dax

## Class Job

- java.lang.Object
- - edu.isi.pegasus.planner.dax.AbstractJob
  - - edu.isi.pegasus.planner.dax.Job

    public class Job
    extends AbstractJob

Version:
  $Revision$
Author:
  gmehta

### Field Summary

### Fields inherited from class edu.isi.pegasus.planner.dax.AbstractJob

`mArguments, mId, mInvokes, mLogger, mName, mNamespace, mNodeLabel, mProfiles, mStderr, mStdin, mStdout, mUses, mVersion`

### Constructor Summary

Constructors
Constructor and Description
`Job(Job j)`
`Job(java.lang.String id, java.lang.String name)`
`Job(java.lang.String id, java.lang.String name, java.lang.String label)`
`Job(java.lang.String id, java.lang.String namespace, java.lang.String name, java.lang.String version)`
`Job(java.lang.String id, java.lang.String namespace, java.lang.String name, java.lang.String version, java.lang.String label)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getNamespace()`
`java.lang.String` `getVersion()`
`boolean` `isJob()` Is this Object a Job
`void` `toXML(XMLWriter writer, int indent)` Overrides Base TOXML method.

### Methods inherited from class edu.isi.pegasus.planner.dax.AbstractJob

`addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addInvoke, addInvoke, addInvokes, addNotification, addNotification, addNotifications, addProfile, addProfile, addProfile, addProfiles, checkID, equals, getArguments, getId, getInvoke, getName, getNodeLabel, getNotification, getProfiles, getStderr, getStdin, getStdout, getUses, hashCode, isDAG, isDAX, setNodeLabel, setStderr, setStderr, setStderr, setStderr, setStderr, setStderr, setStderr, setStderr, setStderr, setStderr, setStdin, setStdin, setStdin, setStdin, setStdin, setStdin, setStdin, setStdin, setStdin, setStdin, setStdout, setStdout, setStdout, setStdout, setStdout, setStdout, setStdout, setStdout, setStdout, setStdout, toXML, uses, uses, uses, uses, uses, uses, uses, uses, uses, uses, uses, uses, uses, uses, uses, uses, uses, uses, uses, uses, uses`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Job

    public Job(java.lang.String id,
               java.lang.String name)

#### Job

    public Job(java.lang.String id,
               java.lang.String name,
               java.lang.String label)

#### Job

    public Job(java.lang.String id,
               java.lang.String namespace,
               java.lang.String name,
               java.lang.String version)

#### Job

    public Job(Job j)

#### Job

    public Job(java.lang.String id,
               java.lang.String namespace,
               java.lang.String name,
               java.lang.String version,
               java.lang.String label)

### Method Detail

#### getNamespace

    public java.lang.String getNamespace()

#### getVersion

    public java.lang.String getVersion()

#### isJob

    public boolean isJob()

Is this Object a Job

Overrides:
  `isJob` in class `AbstractJob`
Returns:

#### toXML

    public void toXML(XMLWriter writer,
                      int indent)

Overrides Base TOXML method.

Overrides:
  `toXML` in class `AbstractJob`
Parameters:
  `writer` -
  `indent` -